<p>
 Izvrsno! Vaše rješenje je točno. Kako je ispravno sučelje moguće definirati na više načina, u nastavku je prikazan
 način koji preferiramo.
</p>

<pre><code>library ieee;
use ieee.std_logic_1164.all;

entity sklop2 is port (
  a,b,c,d: in std_logic;
  f,g,h: out std_logic);
end sklop2;</code></pre>

<p>Primijetite pri tome:</p>
<ul>
<li>Sve ulaze grupirali smo zajedno (jer su bili istog tipa i trenutno nemamo nikakvog razloga razlikovati ih po namjeni).</li>
<li>Sve izlaze grupirali smo zajedno i definirali ih nakon ulaza.</li>
<li>Definicije ulaza i izlaza uvučene su za dva mjesta u desno, kako bi opis vizualno bio pregledan. To je uvijek dobra
    praksa, pa obavezno koristite uvlačenja pri pisanju specifikacije sučelja (a kasnije i arhitektura).</li>
<li>Naredbe za uključivanje biblioteka i paketa praznim smo retkom odvojili od definicije sučelja. U sljedećem
    koraku dodat ćemo i definiciju arhitekture koju ćemo također jednim praznim retkom odvojiti od definicije
    sučelja.</li>
</ul>

<div class="mlNote">
  <p>Jezik VHDL nije osjetljiv na velika i mala slova. Stoga je, primjerice, ključne riječi moguće pisati
  i velikim slovima, i malim slovima, i miješano. Nazive biblioteka, paketa i signala također možemo pisati
  na bilo koji način.</p>
  <p>Ovu slobodu nije dobro zloupotrebljavati jer se gubi lakoća čitljivosti napisanog kôda. Kako god da se 
  odlučite pisati kôd (velikim ili malim slovima), budite konzistentni!</p>
</div>

